%define upstream_name	 SVN-Notify-Mirror
%define upstream_version 0.040

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:    Keep a mirrored working copy of a repository path
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/SVN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(SVN::Notify) >= 2.830.0
BuildRequires: perl(YAML) >= 0.810.0
BuildRequires: subversion-tools
BuildRequires: sendmail-command
BuildArch:  noarch

%description
Keep a local directory in sync with a portion of a Subversion repository.
Typically used to keep a development web server in sync with the changes made
to the repository.

NOTE: because 'svn export' is not able to be consistently updated, the sync'd
directory must be a full working copy.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Build.PL installdirs=vendor << EOF
y
EOF
./Build

export SVNLOOK=%{_bindir}/svnlook
export LC_ALL=C

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/SVN
%{_mandir}/*/*

%changelog
* Thu Jul 13 2017 bb2 <bb2> - 0.40.0-8pclos2017
- rebuild against updates

